## linuxlogo 1.06

=== Makefile ===
##############################################################
#  Makefile for Linux Logo 1.06 -- by Vince Weaver           #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

#For Linux
PLATFORM = 'Linux'
C_OPTS = -O2 -Wall -DLINUX_ANSI 

#For Sgi
#PLATFORM = 'SGI'
#C_OPTS = -O2 -DIRIX_ANSI -DSGI

#For All Other Unixes
#PLATFORM = 'Default Unix'
#C_OPTS = -O2 

all:	linux_logo

clean:
	rm -f *.o
	rm -f linux_logo
	rm *~

install:	linux_logo
	cp linux_logo /usr/local/bin
	
linux_logo:	linux_logo.o getsysinfo.o bogomips.o
	$(CC) $(C_OPTS) -o linux_logo linux_logo.o getsysinfo.o bogomips.o $(L_OPTS)
	@strip linux_logo

linux_logo.o:	linux_logo.c ascii_penguin.h
	@echo Compiling for $(PLATFORM)
	@echo Edit the Makefile to change Platform
	$(CC) $(C_OPTS) -c linux_logo.c

getsysinfo.o:	getsysinfo.c
	$(CC) $(C_OPTS) -c getsysinfo.c

bogomips.o:	bogomips.c
	$(CC) $(C_OPTS) -c bogomips.c

## linuxlogo 2.07

=== Makefile ===
##############################################################
#  Makefile for Linux Logo 2.07 -- by Vince Weaver           #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

#For Intel Linux Systems
PLATFORM = 'Linux'
C_OPTS = -O2 -Wall -DLINUX_ANSI 

#For Sgi
#PLATFORM = 'SGI'
#C_OPTS = -O2 -DIRIX_ANSI -DSGI

#For AIX
#PLATFORM = 'AIX'
#C_OPTS = -O2 -DAIX

#For All Other Unixes
#PLATFORM = 'Default Unix'
#C_OPTS = -O2 

all:	linux_logo

clean:
	rm -f *.o
	rm -f linux_logo
	rm *~

install:	linux_logo
	cp linux_logo /usr/local/bin
	
linux_logo:	linux_logo.o sysinfo.o bogomips.o
	$(CC) $(C_OPTS) -o linux_logo linux_logo.o bogomips.o sysinfo.o $(L_OPTS)
	@strip linux_logo

linux_logo.o:	linux_logo.c ascii_penguin.h defaults.h
	@echo Compiling for $(PLATFORM)
	@echo Edit the Makefile to change Platform
	@echo Edit defaults.h to change Default Values
	$(CC) $(C_OPTS) -c linux_logo.c

sysinfo.o:	sysinfo.c 
	$(CC) $(C_OPTS) -c sysinfo.c 

bogomips.o:	bogomips.c
	$(CC) $(C_OPTS) -c bogomips.c

## linuxlogo 3.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 2.07 -- by Vince Weaver           #
+#  Makefile for Linux Logo 3.02  -- by Vince Weaver          #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
@@ -8,9 +8,9 @@
 #Your compiler.  If gcc doesn't work, try CC
 CC = gcc
 
-#For Intel Linux Systems
+#For Linux Systems
 PLATFORM = 'Linux'
-C_OPTS = -O2 -Wall -DLINUX_ANSI 
+C_OPTS = -O2 -Wall -DLINUX_ANSI
 
 #For Sgi
 #PLATFORM = 'SGI'
@@ -44,7 +44,7 @@
 	@echo Edit defaults.h to change Default Values
 	$(CC) $(C_OPTS) -c linux_logo.c
 
-sysinfo.o:	sysinfo.c 
+sysinfo.o:	sysinfo.c sysinfo.c sysinfo_default.c sysinfo_common.h sysinfo_aix.c sysinfo_irix.c sysinfo_ix86.c sysinfo_m68k.c sysinfo_ppc.c sysinfo_sparc.c sysinfo_mips.c
 	$(CC) $(C_OPTS) -c sysinfo.c 
 
 bogomips.o:	bogomips.c

## linuxlogo 3.9b4

=== Makefile ===
##############################################################
#  Makefile for Linux Logo 3.9b4  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

LIBSYSINFO = libsysinfo-0.0.3

#For Linux Systems
PLATFORM = 'Linux'
C_OPTS = -O2 -Wall -I./$(LIBSYSINFO)
L_OPTS = -L./$(LIBSYSINFO)


#For All Other Unixes
#PLATFORM = 'Default Unix'
#C_OPTS = -O2 

#
# Installation location
#

DESTDIR = /usr/local
INSTALL_BINPATH = $(DESTDIR)/bin
INSTALL_MANPATH = $(DESTDIR)/man
INSTALL_DOCPATH = /usr/share/doc
PROGNAME = linux_logo

#
# You shouldn't have to modify 
# anything below this point.
#

all:	parse_logos linux_logo
	cd po && $(MAKE)

logos-all:
	find ./logos -type f > logo_config
	$(MAKE) all

logos-default:
	echo "./logos/banner.logo" > logo_config
	echo "./logos/classic.logo" >> logo_config
	$(MAKE) all

clean:
	rm -f *.o
	rm -f linux_logo linux_logo-dyn parse_logos
	rm -f *~
	cd $(LIBSYSINFO) && $(MAKE) clean
	cd po && $(MAKE) clean

	
linux_logo:	linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CC) $(C_OPTS) -o linux_logo linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a $(L_OPTS)
	@strip linux_logo

linux_logo_shared:	linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CC) $(C_OPTS) -o linux_logo-dyn linux_logo.o vmw_string.o -L./$(LIBSYSINFO) -lsysinfo
	@strip linux_logo-dyn

./$(LIBSYSINFO)/libsysinfo.a:
	cd libsysinfo && $(MAKE)

vmw_string.o:	vmw_string.c
	$(CC) $(C_OPTS) -c vmw_string.c
	
parse_logos:	parse_logos.o vmw_string.o
	$(CC) $(C_OPTS) -o parse_logos parse_logos.o vmw_string.o $(L_OPTS)
	
parse_logos.o:	parse_logos.c logo_config
	$(CC) $(C_OPTS) -c parse_logos.c

load_logos.h:	logo_config parse_logos
	./parse_logos

linux_logo.o:	linux_logo.c defaults.h load_logos.h
	@echo Compiling for $(PLATFORM)
	@echo Edit the Makefile to change Platform
	@echo Edit defaults.h to change Default Values
	$(CC) $(C_OPTS) -c linux_logo.c

install:	linux_logo
	/usr/bin/install -s -m 755 $(PROGNAME) $(INSTALL_BINPATH)
	/usr/bin/install -m 644 $(PROGNAME).1.gz $(INSTALL_MANPATH)/man1
	cd po && $(MAKE) install

install-doc:
	/usr/bin/install -d -m 755 $(INSTALL_DOCPATH)/$(PROGNAME)
	/usr/bin/install -p -m 644 *[A-Z] $(INSTALL_DOCPATH)/$(PROGNAME)
	
# The old way of installing
install-by-copying:
	cp linux_logo /usr/local/bin

=== libsysinfo-0.0.3/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.1  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

OS = $(shell uname)

C_FLAGS = -O2 -Wall -I.. -I.

all:	configure ./$(OS)/Makefile.inc libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	rm -f ./$(OS)/Makefile.inc configure
	cd $(OS) && make clean
	cd all && make clean

install:	

./$(OS)/Makefile.inc:	configure
	./configure

configure:	configure.o
	$(CC) $(L_OPTS) -o configure configure.o
	
configure.o:	configure.c
	$(CC) $(C_OPTS) -c configure.c

libsysinfo.a:	configure
	cd all && make
	cd $(OS) && make
	ar crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== ll_asm-0.2/Makefile ===
all:	ll

ll:	ll.o
	ld -o ll ll.o
	
ll.o:	ll.asm
	nasm -g -f elf ll.asm

clean:
	rm -f ll *.o *~

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_CMD= ${INSTALL} -m 644
INSTALLDIR=/usr/share/locale
PACKAGE = linux_logo

CATALOGS = de.mo es.mo fr.mo nl.mo it.mo

POTFILES= ../*.c ../*.h

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	rm -f $(PACKAGE).po; \
	else \
	mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

clean:
	rm -f *mo $(PACKAGE).pot *~

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	l=`basename $$n .mo`; \
	$(INSTALL) -m 755 -d $(INSTALLDIR)/$$l; \
	$(INSTALL) -m 755 -d $(INSTALLDIR)/$$l/LC_MESSAGES; \
	$(INSTALL) -m 644 $$n $(INSTALLDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done
%.mo: %.po
	msgfmt -o $@ $<

=== libsysinfo-0.0.3/Linux/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.1  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

C_FLAGS = -O2 -Wall -I.. -I. -I../include

all:	../libsysinfo.a

../libsysinfo.a:	cpuinfo.o sysinfo_linux.o
	ar crus ../libsysinfo.a cpuinfo.o sysinfo_linux.o
	ranlib ../libsysinfo.a

include *.inc

#cpuinfo.o:	cpuinfo_ix86.c
#	$(CC) $(C_FLAGS) -o cpuinfo.o -c cpuinfo_ix86.c
		
sysinfo_linux.o:	sysinfo_linux.c
	$(CC) $(C_FLAGS) -c sysinfo_linux.c

clean:	
	rm -f *~ *.o ../libsysinfo.a libsysinfo_arch.a

=== libsysinfo-0.0.3/SunOS/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.1  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

C_FLAGS = -O2 -Wall -I.. -I. -I../include

all:	../libsysinfo.a

../libsysinfo.a:	sysinfo_solaris.o
	ar crus ../libsysinfo.a sysinfo_solaris.o
	ranlib ../libsysinfo.a

sysinfo_solaris.o:	sysinfo_solaris.c
	$(CC) $(C_FLAGS) -c sysinfo_solaris.c

clean:	
	rm -f *~ *.o ../libsysinfo.a libsysinfo_arch.a

=== libsysinfo-0.0.3/all/Makefile ===
#Your compiler.  If gcc doesn't work, try CC
CC = gcc

C_FLAGS = -O2 -Wall -I..

all:	bogomips.o fix_mhz.o parsing.o sysinfo_common.o uname.o

bogomips.o:	bogomips.c
	$(CC) $(C_FLAGS) -c bogomips.c

fix_mhz.o:	fix_mhz.c
	$(CC) $(C_FLAGS) -c fix_mhz.c

parsing.o:	parsing.c
	$(CC) $(C_FLAGS) -c parsing.c

sysinfo_common.o:	sysinfo_common.c
	$(CC) $(C_FLAGS) -c sysinfo_common.c

uname.o:	uname.c
	$(CC) $(C_FLAGS) -c uname.c 

clean:
	rm -f *.o
	rm -f *~

## linuxlogo 4.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 3.9b4  -- by Vince Weaver         #
+#  Makefile for Linux Logo 4.06 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
@@ -8,7 +8,7 @@
 #Your compiler.  If gcc doesn't work, try CC
 CC = gcc
 
-LIBSYSINFO = libsysinfo-0.0.3
+LIBSYSINFO = libsysinfo-0.0.7
 
 #For Linux Systems
 PLATFORM = 'Linux'
@@ -49,7 +49,7 @@
 
 clean:
 	rm -f *.o
-	rm -f linux_logo linux_logo-dyn parse_logos
+	rm -f linux_logo linux_logo-dyn parse_logos load_logos.h
 	rm -f *~
 	cd $(LIBSYSINFO) && $(MAKE) clean
 	cd po && $(MAKE) clean
@@ -64,7 +64,7 @@
 	@strip linux_logo-dyn
 
 ./$(LIBSYSINFO)/libsysinfo.a:
-	cd libsysinfo && $(MAKE)
+	cd $(LIBSYSINFO) && $(MAKE)
 
 vmw_string.o:	vmw_string.c
 	$(CC) $(C_OPTS) -c vmw_string.c

=== po/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 INSTALL= /usr/bin/install -c
 INSTALL_CMD= ${INSTALL} -m 644
-INSTALLDIR=/usr/share/locale
+INSTALLDIR=/usr/lib/locale
 PACKAGE = linux_logo
 
-CATALOGS = de.mo es.mo fr.mo nl.mo it.mo
+CATALOGS = de.mo dk.mo es.mo fr.mo nl.mo it.mo pl.mo pt_BR.mo zh_TW.mo
 
 POTFILES= ../*.c ../*.h
 
-all: $(PACKAGE).pot $(CATALOGS)
+all: $(PACKAGE).pot update $(CATALOGS)
 
 $(PACKAGE).pot: $(POTFILES)
 	xgettext --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES)
@@ -18,7 +18,7 @@
 	fi
 
 clean:
-	rm -f *mo $(PACKAGE).pot *~
+	rm -f *mo $(PACKAGE).pot *~ *.bac
 
 install: $(CATALOGS)
 	for n in $(CATALOGS); do \
@@ -29,3 +29,11 @@
 	done
 %.mo: %.po
 	msgfmt -o $@ $<
+
+update: $(PACKAGE).pot
+       for n in $(CATALOGS); do \
+       l=basename $$n .mo; \
+       l=$$l".po";\
+       mv -f $$l $$l".bac";\
+       msgmerge -o $$l $$l".bac" $(PACKAGE).pot; \
+       done

## linuxlogo 4.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 4.06 -- by Vince Weaver           #
+#  Makefile for Linux Logo 4.09 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
@@ -8,7 +8,7 @@
 #Your compiler.  If gcc doesn't work, try CC
 CC = gcc
 
-LIBSYSINFO = libsysinfo-0.0.7
+LIBSYSINFO = libsysinfo-0.0.8
 
 #For Linux Systems
 PLATFORM = 'Linux'

=== libsysinfo-0.0.8/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.8  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

OS = $(shell uname)

C_FLAGS = -O2 -Wall -I.. -I.

all:	configure ./$(OS)/Makefile.inc libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	rm -f ./$(OS)/Makefile.inc configure
	cd $(OS) && $(MAKE) clean
	cd all && $(MAKE) clean
	rm -f os

install:	

./$(OS)/Makefile.inc:	configure
	./configure

configure:	configure.o
	$(CC) $(L_OPTS) -o configure configure.o
	
configure.o:	configure.c
	$(CC) $(C_OPTS) -c configure.c

libsysinfo.a:	configure
	cd all && $(MAKE)
	cd $(OS) && $(MAKE)
	ar crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 INSTALLDIR=/usr/lib/locale
 PACKAGE = linux_logo
 
-CATALOGS = de.mo dk.mo es.mo fr.mo nl.mo it.mo pl.mo pt_BR.mo zh_TW.mo
+CATALOGS = de.mo dk.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo ua.mo zh_TW.mo
 
 POTFILES= ../*.c ../*.h

=== libsysinfo-0.0.8/FreeBSD/Makefile ===
##############################################################
#  Makefile for libsysinfo-0.0.1  -- by Vince Weaver         #
#                                                            #
#  To modify for your configuration, add or remove the #     #
#                                                            #
##############################################################

#Your compiler.  If gcc doesn't work, try CC
CC = gcc

C_FLAGS = -O2 -Wall -I.. -I. -I../include

all:	../libsysinfo.a

../libsysinfo.a:	cpuinfo.o sysinfo_bsd.o
	ar crus ../libsysinfo.a cpuinfo.o sysinfo_bsd.o
	ranlib ../libsysinfo.a

#include *.inc

cpuinfo.o:	cpuinfo_bsd.c
	$(CC) $(C_FLAGS) -o cpuinfo.o -c cpuinfo_bsd.c
		
sysinfo_bsd.o:	sysinfo_bsd.c
	$(CC) $(C_FLAGS) -c sysinfo_bsd.c

clean:	
	rm -f *~ *.o ../libsysinfo.a libsysinfo_arch.a

## linuxlogo 4.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 4.09 -- by Vince Weaver           #
+#  Makefile for Linux Logo 4.12 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
@@ -12,7 +12,7 @@
 
 #For Linux Systems
 PLATFORM = 'Linux'
-C_OPTS = -O2 -Wall -I./$(LIBSYSINFO)
+C_OPTS = -g -O2 -Wall -I./$(LIBSYSINFO)
 L_OPTS = -L./$(LIBSYSINFO)
 
 
@@ -36,7 +36,9 @@
 #
 
 all:	parse_logos linux_logo
-	cd po && $(MAKE)
+	if `which xgettext`; then echo "No xgettext support"; \
+	else cd po && $(MAKE); \
+	fi
 
 logos-all:
 	find ./logos -type f > logo_config
@@ -58,6 +60,7 @@
 linux_logo:	linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a
 	$(CC) $(C_OPTS) -o linux_logo linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a $(L_OPTS)
 	@strip linux_logo
+
 
 linux_logo_shared:	linux_logo.o vmw_string.o ./$(LIBSYSINFO)/libsysinfo.a
 	$(CC) $(C_OPTS) -o linux_logo-dyn linux_logo.o vmw_string.o -L./$(LIBSYSINFO) -lsysinfo

=== libsysinfo-0.0.8/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 OS = $(shell uname)
 
-C_FLAGS = -O2 -Wall -I.. -I.
+C_FLAGS = -g -O2 -Wall -I.. -I.
 
 all:	configure ./$(OS)/Makefile.inc libsysinfo.a

## linuxlogo 4.13

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################
-#  Makefile for Linux Logo 4.12 -- by Vince Weaver           #
+#  Makefile for Linux Logo 4.13 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #

=== libsysinfo-0.0.8/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 configure:	configure.o
 	$(CC) $(L_OPTS) -o configure configure.o
-	
+
 configure.o:	configure.c
 	$(CC) $(C_OPTS) -c configure.c

=== po/Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 all: $(PACKAGE).pot update $(CATALOGS)
 
 $(PACKAGE).pot: $(POTFILES)
-	xgettext --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES)
+	xgettext --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES); 
 	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
 	rm -f $(PACKAGE).po; \
 	else \
 	mv $(PACKAGE).po $(PACKAGE).pot; \
-	fi
+	fi 
 
 clean:
 	rm -f *mo $(PACKAGE).pot *~ *.bac
@@ -27,8 +27,9 @@
 	$(INSTALL) -m 755 -d $(INSTALLDIR)/$$l/LC_MESSAGES; \
 	$(INSTALL) -m 644 $$n $(INSTALLDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
 	done
+
 %.mo: %.po
-	msgfmt -o $@ $<
+	msgfmt -o $@ $< 
 
 update: $(PACKAGE).pot
        for n in $(CATALOGS); do \

## linuxlogo 4.14

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,35 @@
 ##############################################################
-#  Makefile for Linux Logo 4.13 -- by Vince Weaver           #
+#  Makefile for Linux Logo 4.14 -- by Vince Weaver           #
 #                                                            #
 #  To modify for your configuration, add or remove the #     #
 #                                                            #
 ##############################################################
 
+OS = $(shell uname)
+
 #Your compiler.  If gcc doesn't work, try CC
 CC = gcc
 
-LIBSYSINFO = libsysinfo-0.0.8
+LIBSYSINFO = libsysinfo-0.1.0
 
-#For Linux Systems
-PLATFORM = 'Linux'
-C_OPTS = -g -O2 -Wall -I./$(LIBSYSINFO)
-L_OPTS = -L./$(LIBSYSINFO)
+ifeq ($(OS),Linux)
+   C_OPTS = -O2 -Wall -I./$(LIBSYSINFO)
+   L_OPTS = -L./$(LIBSYSINFO)
+   OS_SUPPORTED = 1
+endif
 
+ifeq ($(OS),IRIX64) 
+   C_OPTS = -O2 -Wall -I./$(LIBSYSINFO)
+   L_OPTS = -L./$(LIBSYSINFO) -lintl
+   OS_SUPPORTED = 1
+endif
 
-#For All Other Unixes
-#PLATFORM = 'Default Unix'
-#C_OPTS = -O2 
+ifeq ($(OS),FreeBSD) 
+   C_OPTS = -O2 -Wall -I./$(LIBSYSINFO)
+   L_OPTS = -L./$(LIBSYSINFO)
+   OS_SUPPORTED = 1
+endif
+
 
 #
 # Installation location
@@ -82,8 +93,7 @@
 	./parse_logos
 
 linux_logo.o:	linux_logo.c defaults.h load_logos.h
-	@echo Compiling for $(PLATFORM)
-	@echo Edit the Makefile to change Platform
+	@echo Compiling for $(OS)
 	@echo Edit defaults.h to change Default Values
 	$(CC) $(C_OPTS) -c linux_logo.c

=== libsysinfo-0.1.0/Makefile ===
include Makefile.defaults

OS =   $(shell uname)

all:   libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	cd Linux && $(MAKE) clean
	cd FreeBSD && $(MAKE) clean
	cd Irix && $(MAKE) clean
	cd all && $(MAKE) clean
	rm -f os

install:	


libsysinfo.a:	
	cd all && $(MAKE)
	cd $(OS) && $(MAKE)
	ar crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 INSTALLDIR=/usr/lib/locale
 PACKAGE = linux_logo
 
-CATALOGS = de.mo dk.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo ua.mo zh_TW.mo
+CATALOGS = da.mo de.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo ua.mo zh_TW.mo
 
 POTFILES= ../*.c ../*.h

=== libsysinfo-0.1.0/Irix/Makefile ===
include ../Makefile.defaults

all:	sysinfo_irix.o


sysinfo_irix.o:	      sysinfo_irix.c
		      $(CC) $(CFLAGS) -c sysinfo_irix.c
		      
clean:		      
		      rm -f *~ *.o

=== libsysinfo-0.1.0/Linux/Makefile ===
include ../Makefile.defaults

ARCH = $(shell uname -m)

ifeq ($(ARCH),i686)
   ARCH := x86
endif
ifeq ($(ARCH),i586)
   ARCH := x86
endif
ifeq ($(ARCH),i486)
   ARCH := x86
endif
ifeq ($(ARCH),3486)
   ARCH := x86
endif



all:	cpuinfo.o sysinfo_linux.o

cpuinfo.o:	  $(ARCH)


alpha:	cpuinfo_alpha.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_alpha.c

arm:	cpuinfo_arm.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_arm.c

cris:	cpuinfo_cris.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_cris.c
	
ia64:	cpuinfo_ia64.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ia64.c

m68k:	cpuinfo_m68k.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m68k.c

mips:	cpuinfo_mips.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c

parisc:	cpuinfo_parisc.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c
	
ppc:	cpuinfo_ppc.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

s390:	cpuinfo_s390.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390.c

sh3:	cpuinfo_sh3.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sh3.c

sparc:	cpuinfo_sparc.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

vax:	cpuinfo_vax.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_vax.c

x86:	cpuinfo_x86.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86.c
	
x86_64:	cpuinfo_x86_64.c
	$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86_64.c
		
sysinfo_linux.o:	sysinfo_linux.c
	$(CC) $(CFLAGS) -c sysinfo_linux.c

clean:	
	rm -f *~ *.o

## linuxlogo 5.03

=== libsysinfo-0.2.1/Makefile ===
include Makefile.default

all:   libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	cd AIX && $(MAKE) clean
	cd Linux && $(MAKE) clean
	cd FreeBSD && $(MAKE) clean
	cd Irix && $(MAKE) clean
	cd SunOS && $(MAKE) clean
	cd w32 && $(MAKE) clean
	cd all && $(MAKE) clean
	
distclean: clean
	rm -f Makefile.default	
	

install:	


libsysinfo.a:	
	cd all && $(MAKE)
	cd $(OS) && $(MAKE)
	$(CROSS)$(AR) crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== po/Makefile ===
include ../Makefile.default

PACKAGE=linux_logo
INSTALL_LOCALEPATH=$(PREFIX)/share/locale

CATALOGS = da.mo de.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo sv.mo ua.mo zh_TW.mo

POTFILES= ../*.c ../*.h

all: $(PACKAGE).pot update $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES); 
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	rm -f $(PACKAGE).po; \
	else \
	mv $(PACKAGE).po $(PACKAGE).pot; \
	fi 

clean:
	rm -f *mo $(PACKAGE).pot *~ *.bac

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	l=`basename $$n .mo`; \
	$(INSTALL) -c -m 755 -d $(INSTALL_LOCALEPATH)/$$l; \
	$(INSTALL) -c -m 755 -d $(INSTALL_LOCALEPATH)/$$l/LC_MESSAGES; \
	$(INSTALL) -c -m 644 $$n $(INSTALL_LOCALEPATH)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

%.mo: %.po
	msgfmt -o $@ $< 

update: $(PACKAGE).pot
       for n in $(CATALOGS); do \
       l=basename $$n .mo; \
       l=$$l".po";\
       mv -f $$l $$l".bac";\
       msgmerge -o $$l $$l".bac" $(PACKAGE).pot; \
       done

## linuxlogo 5.04

=== libsysinfo-0.2.1/Linux/Makefile ===
include ../Makefile.default

ifneq (,$(findstring 86,$(ARCH)))
   ARCH := x86
endif
ifneq (,$(findstring arm,$(ARCH)))
   ARCH := arm
endif


all:	cpuinfo.o sysinfo_linux.o

cpuinfo.o:	  $(ARCH)


alpha:	cpuinfo_alpha.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_alpha.c

arm:	cpuinfo_arm.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_arm.c

avr32:	cpuinfo_avr32.c
	$(CROSS)$(CC) $(CFLAGS) -o avr32.o -c cpuinfo_avr32.c

cris:	cpuinfo_cris.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_cris.c
	
ia64:	cpuinfo_ia64.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ia64.c

m68k:	cpuinfo_m68k.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m68k.c

mips:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c
	
mips64:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c	

parisc:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c
	
parisc64:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c	
	
ppc:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

ppc64:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

s390:	cpuinfo_s390.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390.c

sh3:	cpuinfo_sh3.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sh3.c

sparc:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

sparc64:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

vax:	cpuinfo_vax.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_vax.c

x86:	cpuinfo_x86.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86.c
	
x86_64:	cpuinfo_x86_64.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86_64.c
		
sysinfo_linux.o:	sysinfo_linux.c
	$(CROSS)$(CC) $(CFLAGS) -c sysinfo_linux.c

clean:	
	rm -f *~ *.o

## linuxlogo 5.07

=== libsysinfo-0.2.1/Linux/Makefile ===
--- 
+++ 
@@ -24,12 +24,21 @@
 
 cris:	cpuinfo_cris.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_cris.c
-	
+
+frv:	cpuinfo_frv.c
+	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_frv.c
+
 ia64:	cpuinfo_ia64.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ia64.c
 
+m32r:	cpuinfo_m32r.c
+	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m32r.c
+
 m68k:	cpuinfo_m68k.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m68k.c
+
+microblaze:	cpuinfo_microblaze.c
+	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_microblaze.c
 
 mips:	cpuinfo_mips.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c
@@ -51,6 +60,9 @@
 
 s390:	cpuinfo_s390.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390.c
+	
+s390x:	cpuinfo_s390x.c
+	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390x.c	
 
 sh3:	cpuinfo_sh3.c
 	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sh3.c

## linuxlogo 5.10

=== Makefile ===
##############################################################
#  Makefile for Linux Logo -- by Vince Weaver                #
##############################################################

-include Makefile.default

PROGNAME = linux_logo

#ifeq ($(OS),IRIX64) 
#   LDFLAGS += -lintl
#endif

#
# Installation location
#
INSTALL_BINPATH = $(PREFIX)/bin
INSTALL_MANPATH = $(PREFIX)/share/man
INSTALL_DOCPATH = $(PREFIX)/share/doc

#
# Libsysinfo location
#
LIBSYSINFO_INCLUDE = -I$(LIBSYSINFO)
LIBSYSINFO_LIBRARY = -L$(LIBSYSINFO)

ifneq ($(XGETTEXT),)
    TRANSLATIONS = translations
endif

all:	Makefile.default parse_logos linux_logo $(TRANSLATIONS)

Makefile.default:	 
	ifneq($(CONFIGURE_RAN),1)
	$(error Please run configure first)
	endif
   
translations:
	cd po && $(MAKE)

logos-all:
	find ./logos -type f > logo_config
	$(MAKE) all

logo_config:
	echo "./logos/banner.logo" > logo_config
	echo "./logos/classic.logo" >> logo_config

clean:	Makefile.default
	rm -f *.o
	rm -f linux_logo linux_logo-dyn parse_logos load_logos.h
	rm -f *~
	cd $(LIBSYSINFO) && $(MAKE) clean
	cd po && $(MAKE) clean

distclean: clean
	cd $(LIBSYSINFO) && $(MAKE) distclean
	rm -f Makefile.default logo_config

linux_logo:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CROSS)$(CC) $(LDFLAGS) -o linux_logo linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) ./$(LIBSYSINFO)/libsysinfo.a 

linux_logo_shared:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CROSS)$(CC) $(CFLAGS) -o linux_logo-dyn linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) -lsysinfo


./$(LIBSYSINFO)/libsysinfo.a:
	cd $(LIBSYSINFO) && $(MAKE)

parse_logos:	parse_logos.o load_logo_native.o
	$(CC) $(LDFLAGS) -o parse_logos parse_logos.o load_logo_native.o

parse_logos.o:	parse_logos.c logo_config
	$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c parse_logos.c

load_logos.h:	logo_config parse_logos
	./parse_logos

load_logo.o:	load_logo.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c load_logo.c
	
load_logo_native.o:	load_logo.c
	$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -o load_logo_native.o -c load_logo.c	

linux_logo.o:	linux_logo.c defaults.h load_logos.h
	@echo Compiling for $(OS)
	@echo Edit defaults.h to change Default Values
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) \
		      -DLOCALE_DIR=\"$(PREFIX)/share/locale\" -DUSE_I18N=$(USE_I18N) \
		      -c linux_logo.c

install:	linux_logo
	$(INSTALL) -c -m755 $(PROGNAME) -D $(INSTALL_BINPATH)/$(PROGNAME)
	$(INSTALL) -c -D -m644 $(PROGNAME).1.gz $(INSTALL_MANPATH)/man1/$(PROGNAME).1.gz
	cd po && $(MAKE) install

install-doc:
	$(INSTALL) -c -d -m 755 $(INSTALL_DOCPATH)/$(PROGNAME)
	$(INSTALL) -c -p -m 644 *[A-Z] $(INSTALL_DOCPATH)/$(PROGNAME)

# The old way of installing
install-by-copying:
	cp linux_logo $(PREFIX)/bin

=== po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE=linux_logo
 INSTALL_LOCALEPATH=$(PREFIX)/share/locale
 
-CATALOGS = da.mo de.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo sv.mo ua.mo zh_TW.mo
+CATALOGS = da.mo de.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo sv.mo uk.mo zh_TW.mo
 
 POTFILES= ../*.c ../*.h

## linuxlogo 5.11

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	ifneq($(CONFIGURE_RAN),1)
 	$(error Please run configure first)
 	endif
-   
+
 translations:
 	cd po && $(MAKE)
 
@@ -77,7 +77,7 @@
 
 load_logo.o:	load_logo.c
 	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c load_logo.c
-	
+
 load_logo_native.o:	load_logo.c
 	$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -o load_logo_native.o -c load_logo.c

=== libsysinfo-0.2.2/Makefile ===
include Makefile.default

all:   libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	cd AIX && $(MAKE) clean
	cd Linux && $(MAKE) clean
	cd FreeBSD && $(MAKE) clean
	cd Irix && $(MAKE) clean
	cd SunOS && $(MAKE) clean
	cd w32 && $(MAKE) clean
	cd all && $(MAKE) clean
	
distclean: clean
	rm -f Makefile.default	
	

install:	


libsysinfo.a:	Linux/cpuinfo_alpha.c \
		Linux/cpuinfo_ia64.c \
		Linux/cpuinfo_ppc.c \
		Linux/cpuinfo_vax.c \
		Linux/cpuinfo_arm.c \
		Linux/cpuinfo_m68k.c \
		Linux/cpuinfo_s390.c \
		Linux/cpuinfo_x86_64.c \
		Linux/cpuinfo_avr32.c \
		Linux/cpuinfo_mips.c \
		Linux/cpuinfo_sh3.c \
		Linux/cpuinfo_x86.c \
		Linux/cpuinfo_cris.c \
		Linux/cpuinfo_parisc.c \
	       	Linux/cpuinfo_sparc.c \
		Linux/sysinfo_linux.c 
	cd all && $(MAKE)
	cd $(OS) && $(MAKE)
	$(CROSS)$(AR) crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== po/Makefile ===
--- 
+++ 
@@ -32,9 +32,9 @@
 	msgfmt -o $@ $< 
 
 update: $(PACKAGE).pot
-       for n in $(CATALOGS); do \
-       l=basename $$n .mo; \
-       l=$$l".po";\
-       mv -f $$l $$l".bac";\
-       msgmerge -o $$l $$l".bac" $(PACKAGE).pot; \
-       done
+	for n in $(CATALOGS); do \
+	l=`basename $$n .mo`; \
+	l=$$l".po"; \
+	mv -f $$l $$l".bac"; \
+	msgmerge -o $$l $$l".bac" $(PACKAGE).pot; \
+	done

=== libsysinfo-0.2.2/FreeBSD/Makefile ===
include ../Makefile.default

all:	cpuinfo.o sysinfo_bsd.o

cpuinfo.o:	cpuinfo_bsd.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -o cpuinfo.o -c cpuinfo_bsd.c
		
sysinfo_bsd.o:	sysinfo_bsd.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c sysinfo_bsd.c

clean:	
	rm -f *~ *.o

=== libsysinfo-0.2.2/Linux/Makefile ===
include ../Makefile.default

ifneq (,$(findstring 86,$(ARCH)))
   ARCH := x86
endif
ifneq (,$(findstring arm,$(ARCH)))
   ARCH := arm
endif
ifneq (,$(findstring sh,$(ARCH)))
   ARCH := sh
endif


all:	cpuinfo.o sysinfo_linux.o

cpuinfo.o:	  $(ARCH)


alpha:	cpuinfo_alpha.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_alpha.c

arm:	cpuinfo_arm.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_arm.c

avr32:	cpuinfo_avr32.c
	$(CROSS)$(CC) $(CFLAGS) -o avr32.o -c cpuinfo_avr32.c

cris:	cpuinfo_cris.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_cris.c

frv:	cpuinfo_frv.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_frv.c

ia64:	cpuinfo_ia64.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ia64.c

m32r:	cpuinfo_m32r.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m32r.c

m68k:	cpuinfo_m68k.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m68k.c

microblaze:	cpuinfo_microblaze.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_microblaze.c

mips:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c
	
mips64:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c	

parisc:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c
	
parisc64:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c	
	
ppc:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

ppc64:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

s390:	cpuinfo_s390.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390.c
	
s390x:	cpuinfo_s390x.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390x.c	

sh:	cpuinfo_sh3.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sh3.c

sparc:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

sparc64:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

vax:	cpuinfo_vax.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_vax.c

x86:	cpuinfo_x86.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86.c
	
x86_64:	cpuinfo_x86_64.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86_64.c
		
sysinfo_linux.o:	sysinfo_linux.c
	$(CROSS)$(CC) $(CFLAGS) -c sysinfo_linux.c

clean:	
	rm -f *~ *.o

=== libsysinfo-0.2.2/SunOS/Makefile ===
include ../Makefile.default

all:	sysinfo_solaris.o

sysinfo_solaris.o:	sysinfo_solaris.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c sysinfo_solaris.c

clean:	
	rm -f *~ *.o

=== libsysinfo-0.2.2/all/Makefile ===
include ../Makefile.default

all:	bogomips.o fix_mhz.o parsing.o sysinfo_common.o uname.o

bogomips.o:	bogomips.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c bogomips.c

fix_mhz.o:	fix_mhz.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c fix_mhz.c

parsing.o:	parsing.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c parsing.c

sysinfo_common.o:	sysinfo_common.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c sysinfo_common.c

uname.o:	uname.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c uname.c 

clean:
	rm -f *.o
	rm -f *~

=== debian/changelog ===
linuxlogo (5.11-8) unstable; urgency=medium

  * debian/control: Standards bumbed to 3.9.6, no changes needed
  * debian/rules: added LC_ALL=C to sort to fix reproducible builds (Closes: #792783)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 20 Jul 2015 11:14:48 +0200

linuxlogo (5.11-7) unstable; urgency=medium

  * install_linux_logo script added (Closes: #615845)
  * Documented usage with systemd (Closes: #750781)
  * Architecture changed to linux-any

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 09 Aug 2014 13:01:20 +0200

linuxlogo (5.11-6) unstable; urgency=medium

  * Patch added to support power7 and power8 processors, Thanks Bruno Leitao
    (Closes: #748980)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 25 May 2014 12:44:38 +0200

linuxlogo (5.11-5) unstable; urgency=medium

  * Added Vcs-Git and Vcs-Browser to d/control
  * Hardening, closes hardening-no-relro lintian flag

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 14 May 2014 18:58:08 +0200

linuxlogo (5.11-4) unstable; urgency=medium

  * Migrated to dh
  * New maintainer (Closes: #726550)
  * Bump standards to 3.9.5 
  * New logos added (Raspberry PI and OpenBSD) 
  * Migrated to quilt 3.0 format
  * Quilt used as a patch system 

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 26 Dec 2013 20:08:36 +0100

linuxlogo (5.11-3) unstable; urgency=low

  * Orphan package

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:53:01 +0200

linuxlogo (5.11-2) unstable; urgency=low

  * Fix typo in Debian Version output (Closes: #646955)
  * Add new Debian Theme by Ulrik Sverdrup; many thanks!
    (Closes: #680210)
    * Add it as debian/patches/new_debian_logo.patch to integrate
      it better into the build system.
      Source may be found in debian/debian-banner-2.logo.
    * Update debian/local/linux_logo.conf
  * Also reactivate quilt in debian/rules and readd quilt as build-depends
  * Bump standards to 3.9.3 (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:48:22 +0200

linuxlogo (5.11-1) unstable; urgency=low

  * New Upstream release
  * Fix Vcs-Svn-Header in debian/control after alioth move
  * Apply patch from Peter Eisentraut to add status report to the init
    script (Closes: #645291)
  * Bump standards to 3.9.2 (no changes needed)
  * Add recommended targets to debian/rules
  * Display Debian Version (Closes: #187661)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 15 Oct 2011 16:48:49 +0200

linuxlogo (5.10-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/01-s390x.patch and patches/02-sh.patch
    (both were pplied upstream)
  * remove quilt, as we don't have any more patches
  * Add $remote_fs to Required-Start and Required-Stop of the init scripts
    LSB header
  * Bump standards version (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 10 Mar 2010 11:25:34 +0100

linuxlogo (5.07-1) unstable; urgency=medium

  * urgency medium due to unreported RC bug fix
  * Adopting package (Closes: #543886)
  * New upstream release
  * add debian/watch
  * add VCS-Headers to debian/control
  * Add patch to fix buid issue on sh architecure
    (Closes: #545938).
    Thanks to Nobuhiro Iwamatsu for providing the patch!
  * Don't create /var/run/linuxlogo via package
    * it's created on start time from the init-scriot
    * it's removed on purg
    (Thanks to lintian for the hint; that's a policy must)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Jan 2010 16:14:48 +0100

linuxlogo (5.06-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:54:05 +0200

linuxlogo (5.06-1) unstable; urgency=low

  * Merging upstream version 5.06:
    - Fixes problem with logo naming (Closes: #510813).
  * Readding default logo in linux_logo.conf.
  * Removing dash.patch, not required anymore.
  * Updating logo list in linux_logo.conf.
  * Renaming directory for local debian additions to more common name.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:40:04 +0200

linuxlogo (5.05-1) unstable; urgency=low

  * Merging upstream version 5.05.
  * Updating package to standards version 3.8.2.
  * Updating rules file to current state of the art.
  * Using correct rfc-2822 date formats in changelog.
  * Rediffing dash.patch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:09:50 +0200

linuxlogo (5.04-2) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Removing default logo in /etc/linux_logo.conf (Closes: #504717).
  * Using debhelper install file to install additional files instead of
    install target in rules.
  * Using quilt instead of dpatch.
  * Adding description in menu file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Dec 2008 10:09:00 +0100

linuxlogo (5.04-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 5.04.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 20:51:00 +0100

linuxlogo (5.03-5) unstable; urgency=low

  * Manually creating /var/run/linuxlog directory through the initscript
    in case /var/run is on a tmpfs (Closes: #412289).
  * Adding symlinks from linux_logo to linuxlogo to go the way of last
    surprise wrt/ package name and binary name.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Nov 2008 17:06:00 +0100

linuxlogo (5.03-4) unstable; urgency=medium

  * Adding patch to fix FTBFS on s390x.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 09:19:00 +0200

linuxlogo (5.03-3) unstable; urgency=medium

  * Adding patch to avoid broken argument handling in configure and thus


=== debian/control ===
Source: linuxlogo
Section: misc
Priority: extra
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), gettext
Standards-Version: 3.9.6
Homepage: http://www.deater.net/weave/vmwprod/linux_logo/
Vcs-Git: git://anonscm.debian.org/collab-maint/linuxlogo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/linuxlogo.git

Package: linuxlogo
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Color ANSI System Logo
 A Color ANSI Logo with some system information that can be displayed at system
 boot time or, with some local configuration, at the login prompt. Four
 different Logos are available:
 .
  * Debian Swirl(default)
  * Debian Banner
  * Tux Classic and Banner
 .
 The Classic and Banner Logos are based on Larry Ewing's Penguin. Monochrome
 ASCII versions of all the logos are included.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	find ./logos -type f | LC_ALL=C sort > logo_config 
	PREFIX=$(CURDIR)/debian/linuxlogo/usr ./configure 
	cp -r po/ potmp/
	dh $@
	rm -rf potmp/

override_dh_auto_clean:
	[ -d potmp/ ] && rm -rf potmp/
	[ ! -f Makefile ] || ./configure && make distclean

=== debian/watch ===
version=3
http://www.deater.net/weave/vmwprod/linux_logo/ linux_logo-(\d+\.\d+)\.tar\.gz
